MyGatewayEventFilter2 (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache30

## Class MyGatewayEventFilter2

- java.lang.Object
- - org.apache.geode.cache30.MyGatewayEventFilter2

- All Implemented Interfaces:
    CacheCallback, Declarable, GatewayEventFilter, org.apache.geode.internal.cache.xmlcache.Declarable2

      public class MyGatewayEventFilter2
      extends java.lang.Object
      implements GatewayEventFilter, org.apache.geode.internal.cache.xmlcache.Declarable2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyGatewayEventFilter2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterAcknowledgement(GatewayEvent event)`
    `void` | `afterAcknowledgement(GatewayQueueEvent event)` It will be invoked once GatewaySender receives an ack from remote GatewayReceiver This callback will always be called from the thread which is dispatching events to remote distributed systems
    `boolean` | `beforeEnqueue(GatewayQueueEvent event)` It will be invoked before enqueuing event into GatewaySender's queue.
    `boolean` | `beforeTransmit(GatewayQueueEvent event)` It will be invoked before dispatching event to remote GatewayReceiver This callback is asynchronous with the thread which is enqueuing the event into GatewaySender's queue. This callback will always be called from the thread which is dispatching events to remote distributed systems
    `void` | `close()` Called when the region containing this callback is closed or destroyed, when the cache is closed, or when a callback is removed from a region using an `AttributesMutator`.
    `java.util.Properties` | `getConfig()`
    `void` | `init(java.util.Properties props)` Initializes a user-defined object using the given properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

- - ### Constructor Detail

    - #### MyGatewayEventFilter2

          public MyGatewayEventFilter2()

  - ### Method Detail

    - #### close

          public void close()

      Description copied from interface: `CacheCallback`
      Called when the region containing this callback is closed or destroyed, when the cache is closed, or when a callback is removed from a region using an `AttributesMutator`.

      Implementations should cleanup any external resources such as database connections. Any runtime exceptions this method throws will be logged.

      It is possible for this method to be called multiple times on a single callback instance, so implementations must be tolerant of this.

      Specified by:
        `close` in interface `CacheCallback`
      See Also:
        `RegionService.close()`, `Region.close()`, `Region.localDestroyRegion()`, `Region.destroyRegion()`, `AttributesMutator`

    - #### getConfig

          public java.util.Properties getConfig()

      Specified by:
        `getConfig` in interface `org.apache.geode.internal.cache.xmlcache.Declarable2`

    - #### init

          public void init(java.util.Properties props)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `props` - Contains the parameters declared in the declarative xml file.

    - #### afterAcknowledgement

          public void afterAcknowledgement(GatewayEvent event)

    - #### beforeEnqueue

          public boolean beforeEnqueue(GatewayQueueEvent event)

      Description copied from interface: `GatewayEventFilter`
      It will be invoked before enqueuing event into GatewaySender's queue.
      This callback is synchronous with the thread which is enqueuing the event into GatewaySender's queue.
      Specified by:
        `beforeEnqueue` in interface `GatewayEventFilter`
      Returns:
        true if event should be enqueued otherwise return false.

    - #### beforeTransmit

          public boolean beforeTransmit(GatewayQueueEvent event)

      Description copied from interface: `GatewayEventFilter`
      It will be invoked before dispatching event to remote GatewayReceiver
      This callback is asynchronous with the thread which is enqueuing the event into GatewaySender's queue.
      This callback will always be called from the thread which is dispatching events to remote distributed systems
      Specified by:
        `beforeTransmit` in interface `GatewayEventFilter`
      Returns:
        true if event should be dispatched otherwise return false.

    - #### afterAcknowledgement

          public void afterAcknowledgement(GatewayQueueEvent event)

      Description copied from interface: `GatewayEventFilter`
      It will be invoked once GatewaySender receives an ack from remote GatewayReceiver
      This callback will always be called from the thread which is dispatching events to remote distributed systems
      Specified by:
        `afterAcknowledgement` in interface `GatewayEventFilter`